Qt 5.9 | Qt 3D | C++ Classes | QPointLight

Qt 5.9.3 Reference Documentation

# QPointLight Class

(Qt3DRender::QPointLight)

Encapsulate a Point Light object in a Qt 3D scene. More...

Header: | #include <QPointLight>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | PointLight
Inherits: | Qt3DRender::QAbstractLight

- List of all members, including inherited members

## Properties

- constantAttenuation : float
- linearAttenuation : float
- quadraticAttenuation : float

- 3 properties inherited from Qt3DRender::QAbstractLight
- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QPointLight(Qt3DCore::QNode *parent = nullptr)
float | constantAttenuation() const
float | linearAttenuation() const
float | quadraticAttenuation() const

- 3 public functions inherited from Qt3DRender::QAbstractLight
- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setConstantAttenuation(float value)
void | setLinearAttenuation(float value)
void | setQuadraticAttenuation(float value)

- 2 public slots inherited from Qt3DRender::QAbstractLight
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | constantAttenuationChanged(float constantAttenuation)
void | linearAttenuationChanged(float linearAttenuation)
void | quadraticAttenuationChanged(float quadraticAttenuation)

- 2 signals inherited from Qt3DRender::QAbstractLight
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QPointLight(QPointLightPrivate &dd, Qt3DCore::QNode *parent)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulate a Point Light object in a Qt 3D scene.

## Property Documentation

### constantAttenuation : float

Specifies the constant attenuation of the point light

Access functions:

float | constantAttenuation() const
void | setConstantAttenuation(float value)

Notifier signal:

void | constantAttenuationChanged(float constantAttenuation)

### linearAttenuation : float

Specifies the linear attenuation of the point light

Access functions:

float | linearAttenuation() const
void | setLinearAttenuation(float value)

Notifier signal:

void | linearAttenuationChanged(float linearAttenuation)

### quadraticAttenuation : float

Specifies the quadratic attenuation of the point light

Access functions:

float | quadraticAttenuation() const
void | setQuadraticAttenuation(float value)

Notifier signal:

void | quadraticAttenuationChanged(float quadraticAttenuation)

## Member Function Documentation

### QPointLight::QPointLight(Qt3DCore::QNode *parent = nullptr)

Constructs a new QPointLight with the specified parent.

### `[protected]` QPointLight::QPointLight(QPointLightPrivate &dd, Qt3DCore::QNode *parent)

Copy constructor.